<!DOCTYPE html>
<html lang="sv">
<head>
    <meta charset="utf-8">
    <title>Canvas flagga</title>
</head>
<body>
    <canvas id="duk"></canvas>
    <script>
        var c = document.getElementById("duk");
        c.width = 1000;
        c.height = 600;
        var ctx = c.getContext("2d");

        // Måla en rektangel
        ctx.fillStyle = "#58b6fc";
        ctx.fillRect(100, 100, 500, 300);

        // Måla ett streck
        ctx.lineWidth = 50;
        ctx.strokeStyle = "#f5ff00";
        ctx.beginPath();
        ctx.moveTo(100, 250);
        ctx.lineTo(600, 250);
        ctx.stroke();
        ctx.beginPath();
        ctx.moveTo(300, 100);
        ctx.lineTo(300, 400);
        ctx.stroke();


    </script>
</body>
</html>
